#!/bin/bash

list=$(cat packages.x86_64 | grep -v "^#" | grep -v "^$")

# a=1

for i in $list
do
#     if [[ $a == 2 ]]; then
#         break
#     fi

    name="${i}"
#     desc=$(pacman -Ss "${i}" | grep "^ " | sed -e "s/    //g")
    desc=$(pacman -Si "${i}" | grep "^Описание" | cut -d":" -f2)
    ru_desc=$(trans -b en:ru "${desc}")

    echo -e "${name}\n#${desc}\n# ${ru_desc}\n" >> packages_desc.x86_64

#     a=$((a+1))
done
